Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi.impl
Class TScopeInfoImpl.CorrelationSetsImpl.CorrelationSetImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.apache.ode.bpel.pmapi.impl.TScopeInfoImpl.CorrelationSetsImpl.CorrelationSetImpl

All Implemented Interfaces:
  java.io.Serializable, TScopeInfo.CorrelationSets.CorrelationSet, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

Enclosing class:
  TScopeInfoImpl.CorrelationSetsImpl

    public static class TScopeInfoImpl.CorrelationSetsImpl.CorrelationSetImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements TScopeInfo.CorrelationSets.CorrelationSet

An XML correlation-set(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.TScopeInfo.CorrelationSets.CorrelationSet
`TScopeInfo.CorrelationSets.CorrelationSet.Factory`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.apache.ode.bpel.pmapi.TScopeInfo.CorrelationSets.CorrelationSet
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`TScopeInfoImpl.CorrelationSetsImpl.CorrelationSetImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`TCorrelationProperty` | `addNewCorrelationProperty()` Appends and returns a new empty value (as xml) as the last "correlation-property" element
`TCorrelationProperty[]` | `getCorrelationPropertyArray()` Gets array of all "correlation-property" elements
`TCorrelationProperty` | `getCorrelationPropertyArray(int i)` Gets ith "correlation-property" element
`java.util.List<TCorrelationProperty>` | `getCorrelationPropertyList()` Gets a List of "correlation-property" elements
`java.lang.String` | `getCsetid()` Gets the "csetid" attribute
`java.lang.String` | `getName()` Gets the "name" attribute
`TCorrelationProperty` | `insertNewCorrelationProperty(int i)` Inserts and returns a new empty value (as xml) as the ith "correlation-property" element
`void` | `removeCorrelationProperty(int i)` Removes the ith "correlation-property" element
`void` | `setCorrelationPropertyArray(int i, TCorrelationProperty correlationProperty)` Sets ith "correlation-property" element
`void` | `setCorrelationPropertyArray(TCorrelationProperty[] correlationPropertyArray)` Sets array of all "correlation-property" element
`void` | `setCsetid(java.lang.String csetid)` Sets the "csetid" attribute
`void` | `setName(java.lang.String name)` Sets the "name" attribute
`int` | `sizeOfCorrelationPropertyArray()` Returns number of "correlation-property" element
`org.apache.xmlbeans.XmlString` | `xgetCsetid()` Gets (as xml) the "csetid" attribute
`org.apache.xmlbeans.XmlString` | `xgetName()` Gets (as xml) the "name" attribute
`void` | `xsetCsetid(org.apache.xmlbeans.XmlString csetid)` Sets (as xml) the "csetid" attribute
`void` | `xsetName(org.apache.xmlbeans.XmlString name)` Sets (as xml) the "name" attribute

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### TScopeInfoImpl.CorrelationSetsImpl.CorrelationSetImpl

    public TScopeInfoImpl.CorrelationSetsImpl.CorrelationSetImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getCorrelationPropertyList

    public java.util.List<TCorrelationProperty> getCorrelationPropertyList()

  Gets a List of "correlation-property" elements

  Specified by:
    `getCorrelationPropertyList` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### getCorrelationPropertyArray

    public TCorrelationProperty[] getCorrelationPropertyArray()

  Gets array of all "correlation-property" elements

  Specified by:
    `getCorrelationPropertyArray` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### getCorrelationPropertyArray

    public TCorrelationProperty getCorrelationPropertyArray(int i)

  Gets ith "correlation-property" element

  Specified by:
    `getCorrelationPropertyArray` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### sizeOfCorrelationPropertyArray

    public int sizeOfCorrelationPropertyArray()

  Returns number of "correlation-property" element

  Specified by:
    `sizeOfCorrelationPropertyArray` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### setCorrelationPropertyArray

    public void setCorrelationPropertyArray(TCorrelationProperty[] correlationPropertyArray)

  Sets array of all "correlation-property" element

  Specified by:
    `setCorrelationPropertyArray` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### setCorrelationPropertyArray

    public void setCorrelationPropertyArray(int i,
                                            TCorrelationProperty correlationProperty)

  Sets ith "correlation-property" element

  Specified by:
    `setCorrelationPropertyArray` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### insertNewCorrelationProperty

    public TCorrelationProperty insertNewCorrelationProperty(int i)

  Inserts and returns a new empty value (as xml) as the ith "correlation-property" element

  Specified by:
    `insertNewCorrelationProperty` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### addNewCorrelationProperty

    public TCorrelationProperty addNewCorrelationProperty()

  Appends and returns a new empty value (as xml) as the last "correlation-property" element

  Specified by:
    `addNewCorrelationProperty` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### removeCorrelationProperty

    public void removeCorrelationProperty(int i)

  Removes the ith "correlation-property" element

  Specified by:
    `removeCorrelationProperty` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### getName

    public java.lang.String getName()

  Gets the "name" attribute

  Specified by:
    `getName` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### xgetName

    public org.apache.xmlbeans.XmlString xgetName()

  Gets (as xml) the "name" attribute

  Specified by:
    `xgetName` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### setName

    public void setName(java.lang.String name)

  Sets the "name" attribute

  Specified by:
    `setName` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### xsetName

    public void xsetName(org.apache.xmlbeans.XmlString name)

  Sets (as xml) the "name" attribute

  Specified by:
    `xsetName` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### getCsetid

    public java.lang.String getCsetid()

  Gets the "csetid" attribute

  Specified by:
    `getCsetid` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### xgetCsetid

    public org.apache.xmlbeans.XmlString xgetCsetid()

  Gets (as xml) the "csetid" attribute

  Specified by:
    `xgetCsetid` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### setCsetid

    public void setCsetid(java.lang.String csetid)

  Sets the "csetid" attribute

  Specified by:
    `setCsetid` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

### xsetCsetid

    public void xsetCsetid(org.apache.xmlbeans.XmlString csetid)

  Sets (as xml) the "csetid" attribute

  Specified by:
    `xsetCsetid` in interface `TScopeInfo.CorrelationSets.CorrelationSet`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD